#include "vsmt_io.h"
#include "vst_idle_io.h"
#include "logic.h"
VSMT_IO::VSMT_IO(int iID, const QString &sName)
    :VSMT_Base(iID,sName)
{

}

void VSMT_IO::init_Machine()
{
    m_pState_Idle= new VST_Idle_IO(VarState_Idle_IO,m_sName, this);
    VSMT_Base::init_Machine();
}

void VSMT_IO::exit_Machine()
{
    VSMT_Base::exit_Machine();
}

void VSMT_IO::do_Msg(const V_Msg &msg)
{
    UNUSED(msg);
}

void VSMT_IO::run()
{
    try
    {
        V_StateMachine::run();
    }
    catch(QString &s)
    {
        MSleep(5);
        MqDebug()<<s;
    }
}

